[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.DoReadString

Default OnReadString handler; must be overridden.

## Declaration

Source position: propertystorage.pas line 139

`protected function TCustomPropertyStorage.DoReadString(`
`const Section: string;`
`const Ident: string;`
`const DefaultValue: string`
`):string; virtual; abstract;`

## Arguments

`Section` |  | Section name where the value for the specified identifier is located.
`Ident` |  | Name for the value read from the specified section.
`DefaultValue` |  | The default value, when no string was stored.

## Function result

The previously stored string.